Subject: Re: linux-next: manual merge of the trivial tree with the net tree

From: Jiri Kosina <[email-masked]>
Date: Tue, 24 Nov 2009 10:13:47 +0100 (CET)

On Tue, 24 Nov 2009, Stephen Rothwell wrote:

> Hi Jiri,
> 
> Today's linux-next merge of the trivial tree got a conflict in
> drivers/net/e1000e/lib.c between commit
> 3bb99fe226ead584a4db674dab546689f705201f ("e1000e: consolidate two dbug
> macros into one simpler one") from the net tree and commit
> 52692d35d013e221137b2fbe800e3e6776111821 ("tree-wide: fix assorted typos
> all over the place") from the trivial tree.
> 
> I fixed it up (see below) and can carry the fix as necessary.
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> 
> diff --cc drivers/net/e1000e/lib.c
> index f690a10,b065ba4..0000000
> --- a/drivers/net/e1000e/lib.c
> +++ b/drivers/net/e1000e/lib.c
> @@@ -563,11 -570,11 +563,11 @@@ s32 e1000e_check_for_serdes_link(struc
>   			if (rxcw & E1000_RXCW_SYNCH) {
>   				if (!(rxcw & E1000_RXCW_IV)) {
>   					mac->serdes_has_link = true;
>  -					hw_dbg(hw, "SERDES: Link up - autoneg "
>  +					e_dbg("SERDES: Link up - autoneg "
> - 					   "completed sucessfully.\n");
> + 					   "completed successfully.\n");
>   				} else {
>   					mac->serdes_has_link = false;
>  -					hw_dbg(hw, "SERDES: Link down - invalid"
>  +					e_dbg("SERDES: Link down - invalid"
>   					   "codewords detected in autoneg.\n");
>   				}
>   			} else {

Maybe the best resolution would be for Davem to merge the respective hunk 
through his tree, so that I can drop it on my side. Please let me know 
if/when this, I will drop the hunk then.

From: André Goddard Rosa <[email-masked]>
Subject: e1000e: fix assorted typos

Signed-off-by: André Goddard Rosa <[email-masked]>
Signed-off-by: Jiri Kosina <[email-masked]>

--- a/drivers/net/e1000e/82571.c
+++ b/drivers/net/e1000e/82571.c
@@ -282,7 +282,7 @@ static s32 e1000_init_mac_params_82571(struct e1000_adapter *adapter)
 
 	/*
 	 * Ensure that the inter-port SWSM.SMBI lock bit is clear before
-	 * first NVM or PHY acess. This should be done for single-port
+	 * first NVM or PHY access. This should be done for single-port
 	 * devices, and for one port only on dual-port devices so that
 	 * for those devices we can still use the SMBI lock to synchronize
 	 * inter-port accesses to the PHY & NVM.
@@ -1412,7 +1412,7 @@ static s32 e1000_check_for_serdes_link_82571(struct e1000_hw *hw)
 		case e1000_serdes_link_autoneg_progress:
 			/*
 			 * If the LU bit is set in the STATUS register,
-			 * autoneg has completed sucessfully. If not,
+			 * autoneg has completed successfully. If not,
 			 * try foring the link because the far end may be
 			 * available but not capable of autonegotiation.
 			 */
diff --git a/drivers/net/e1000e/lib.c b/drivers/net/e1000e/lib.c
index 99ba2b8..b065ba4 100644
--- a/drivers/net/e1000e/lib.c
+++ b/drivers/net/e1000e/lib.c
@@ -571,7 +571,7 @@ s32 e1000e_check_for_serdes_link(struct e1000_hw *hw)
 				if (!(rxcw & E1000_RXCW_IV)) {
 					mac->serdes_has_link = true;
 					hw_dbg(hw, "SERDES: Link up - autoneg "
-					   "completed sucessfully.\n");
+					   "completed successfully.\n");
 				} else {
 					mac->serdes_has_link = false;
 					hw_dbg(hw, "SERDES: Link down - invalid"